body {
    background-color: #F9F9F9;
    color: black;
    font-family: "Chakra Petch", sans-serif;
    text-align: center;
}

body.dark-mode {
    background-color: black;
    color: white;
}

h1 {
    font-size: 4rem;
    margin: 2rem;
}

.dice {
    font-size: 10rem;
    margin: 10px;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    transition: transform 0.3s ease-in-out;
}

.dice:hover {
    transform: scale(1.1);
}

.roll-animation {
    animation-name: roll;
    animation-timing-function: ease-in-out;
}

@keyframes roll {
    0% {
        transform: rotateY(0deg) rotateX(0deg);
    }

    100% {
        transform: rotateY(720deg) rotateX(720deg);
    }
}

.roll-button, .reset-button, .dark-mode-button {
    background-color: #E876A7 !important;
    color: white;
    border: none;
    font-size: 1.5rem;
    padding: 1rem 3rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.roll-button:hover, .reset-button:hover, .dark-mode-button:hover {
    background-color: #FF4D6B !important;
}

ul {
    list-style-type: none;
    padding: 0;
    margin: 2rem auto;
    max-width: 600px;
}

li {
    font-size: 16px;
    padding: 0.5rem;
    margin: 0.5rem;
    background-color: lightpink;
    color: black;
    border-radius: 0.5rem;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 2px 1px -2px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

li span {
    font-size: 3rem;
    margin: -0.8rem 0.5rem;
}